Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: pcmcia

Interfaces

### Description:

PCMCIA card management services.

### Interfaces:

pcmcia_domtrans_cardctl( domain )

##### Summary

Execute cardctl in the cardmgr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

pcmcia_domtrans_cardmgr( domain )

##### Summary

Execute cardmgr in the cardmgr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

pcmcia_manage_pid( domain )

##### Summary

Create, read, write, and delete cardmgr pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pcmcia_manage_pid_chr_files( domain )

##### Summary

Create, read, write, and delete cardmgr runtime character nodes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pcmcia_read_pid( domain )

##### Summary

Read cardmgr pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pcmcia_run_cardctl( domain , role )

##### Summary

Execute cardctl in the cardmgr domain, and allow the specified role the cardmgr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

pcmcia_stub( domain )

##### Summary

PCMCIA stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pcmcia_use_cardmgr_fds( domain )

##### Summary

Inherit and use cardmgr file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return